Package org.bukkit.entity

# Enum Class Skeleton.SkeletonType

java.lang.Object
java.lang.Enum<Skeleton.SkeletonType>
org.bukkit.entity.Skeleton.SkeletonType

All Implemented Interfaces:
  `Serializable`, `Comparable<Skeleton.SkeletonType>`, `Constable`

Enclosing interface:
  Skeleton

@Deprecated public static enum Skeleton.SkeletonType extends Enum<Skeleton.SkeletonType>
Deprecated.
classes are different types. This interface only remains in the Skeleton interface to preserve backwards compatibility.
A legacy enum that defines the different variances of skeleton-like entities on the server.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NORMAL`
Deprecated.
Standard skeleton type.
`STRAY`
Deprecated.
Stray skeleton.
`WITHER`
Deprecated.
Wither skeleton.

## Method Summary

Modifier and Type
Method
Description
`static Skeleton.SkeletonType`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Skeleton.SkeletonType[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final Skeleton.SkeletonType NORMAL
Deprecated.
Standard skeleton type.

### WITHER

public static final Skeleton.SkeletonType WITHER
Deprecated.
Wither skeleton. Generally found in Nether fortresses.

### STRAY

public static final Skeleton.SkeletonType STRAY
Deprecated.
Stray skeleton. Generally found in ice biomes. Shoots tipped arrows.

## Method Details

### values

public static Skeleton.SkeletonType[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Skeleton.SkeletonType valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null